summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
Diffstat (limited to 'eclass')
-rw-r--r--eclass/python-any-r1.eclass8
1 files changed, 5 insertions, 3 deletions
diff --git a/eclass/python-any-r1.eclass b/eclass/python-any-r1.eclass
index 4e954f57cd2d..805981bb7aa8 100644
--- a/eclass/python-any-r1.eclass
+++ b/eclass/python-any-r1.eclass
@@ -302,9 +302,11 @@ python_setup() {
local epython_impl=${EPYTHON/./_}
if [[ ${epython_impl} ]]; then
if ! has "${epython_impl}" "${_PYTHON_SUPPORTED_IMPLS[@]}"; then
- einfo "EPYTHON (${EPYTHON}) not supported by the package"
- elif ! has "${epython_impl}" "${_PYTHON_ALL_IMPLS[@]}"; then
- ewarn "Invalid EPYTHON: ${EPYTHON}"
+ if ! has "${epython_impl}" "${_PYTHON_ALL_IMPLS[@]}"; then
+ ewarn "Invalid EPYTHON: ${EPYTHON}"
+ else
+ einfo "EPYTHON (${EPYTHON}) not supported by the package"
+ fi
elif _python_run_check_deps "${epython_impl}"; then
_python_export EPYTHON PYTHON
_python_wrapper_setup